import {ScriptAccount} from "../../../../src/app/project/game-model/scriptAccounts/ScriptAccount";
import {ScriptAccountCondition} from "../../../../src/app/project/game-model/gamesystems/conditions/ScriptAccountCondition";

export class ConditionTrainer {
  static withSimpleCondition(): ScriptAccountCondition {
    const scriptAccount = new ScriptAccount("Test", "");
    return ScriptAccountCondition.constructScriptAccountCondition(scriptAccount, 0, 10);
  }

  static withContradictingCondition(condition: ScriptAccountCondition): ScriptAccountCondition {
    return ScriptAccountCondition.constructScriptAccountCondition(condition.scriptAccount, condition.minValue-20, condition.minValue-10);
  }

  static withExpendingCondition(condition: ScriptAccountCondition): ScriptAccount {
    return ScriptAccountCondition.constructScriptAccountCondition(condition.scriptAccount, condition.minValue-10, condition.maxValue+10);
  }
}
