import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {FormControl, Validators} from "@angular/forms";
import {ModelComponent} from "../../project/game-model/ModelComponent";

@Component({
  selector: 'app-model-component-editor',
  templateUrl: './model-component-editor.component.html',
  styleUrl: './model-component-editor.component.scss'
})
export class ModelComponentEditorComponent implements OnInit{
  @Input('modelComponent') modelComponent: ModelComponent | undefined
  @Output("onModelNameUpdated") onModelNameUpdateEmitter = new EventEmitter<boolean>();

  nameCtrl: FormControl = new FormControl('', [Validators.required]);
  descriptionCtrl: FormControl = new FormControl('' );

  ngOnInit() {
    this.nameCtrl.setValue(this.modelComponent!.componentName);
    this.descriptionCtrl.setValue(this.modelComponent!.componentDescription);
  }

  onUpdateName() {
    this.modelComponent!.componentName = this.nameCtrl.value;
    this.modelComponent!.onModifyContent();
    this.onModelNameUpdateEmitter.emit(true);
  }

  onUpdateDescription() {
    this.modelComponent!.componentDescription = this.descriptionCtrl.value;
    this.modelComponent!.onModifyContent();
  }

  protected readonly name = name;
}
