import {State} from "./State";
import {SimpleTransition} from "../transitions/SimpleTransition";
import {Transition} from "../transitions/Transition";

export class SimpleState extends State<SimpleTransition> {
  stateLabel: string = "";
  stateDescription: string = "";


  constructor(stateLabel: string, stateDescription: string) {
    super();
    this.stateLabel = stateLabel;
    this.stateDescription = stateDescription;
  }

  equals(state: State<Transition<any>>): boolean {
    if(!(state instanceof SimpleState)) {
      return false;
    }
    return this.stateLabel === (state as SimpleState).stateLabel;
  }


}
